Modify

Opened 2 years ago

Last modified 20 months ago

#21342 new defect

Viewing the article on wikipedia does not work

Reported by: TrickyFoxy Owned by: team
Priority: normal Milestone:
Component: Core tag2link Version:
Keywords: template_report wikipedia macOS Cc:

Description

What steps will reproduce the problem?

  1. Find an object with the wikipedia tag
  2. Right-click on the tag in the object's tag menu
  3. Click "View Wikipedia article" (approximate name)
  4. Nothing happens

Example object: https://www.openstreetmap.org/node/336140320

p.s. View wikidata tag works.

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

Revision:18224
Is-Local-Build:true
Build-Date:2021-09-13 18:42:24

Identification: JOSM/1.5 (18224 SVN ru) Mac OS X 11.5
OS Build number: macOS 11.6 (20G165)
Memory Usage: 450 MB / 2048 MB (73 MB allocated, but free)
Java version: 17-ea+35, Azul Systems, Inc., OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: Display 69732352 1680×1050 (scaling 2.00×2.00)
Maximum Screen Size: 1680×1050
Best cursor sizes: 16×16→16×16, 32×32→32×32
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: ru_RU
Numbers with default locale: 1234567890 -> 1234567890
VM arguments: [-Djpackage.app-version=18224, --add-modules=java.scripting,java.sql,javafx.controls,javafx.media,javafx.swing,javafx.web, --add-exports=java.base/sun.security.action=ALL-UNNAMED, --add-exports=java.desktop/com.apple.eawt=ALL-UNNAMED, --add-exports=java.desktop/com.sun.imageio.plugins.jpeg=ALL-UNNAMED, --add-exports=java.desktop/com.sun.imageio.spi=ALL-UNNAMED, --add-opens=java.base/java.lang=ALL-UNNAMED, --add-opens=java.base/java.nio=ALL-UNNAMED, --add-opens=java.base/jdk.internal.loader=ALL-UNNAMED, --add-opens=java.base/jdk.internal.ref=ALL-UNNAMED, --add-opens=java.desktop/javax.imageio.spi=ALL-UNNAMED, --add-opens=java.desktop/javax.swing.text.html=ALL-UNNAMED, --add-opens=java.prefs/java.util.prefs=ALL-UNNAMED, -Djpackage.app-path=/Applications/JOSM.app/Contents/MacOS/JOSM]
Dataset consistency test: No problems found

Plugins:
+ BuildingGeneralization (36)
+ Create_grid_of_ways (35640)
+ DirectDownload (35640)
+ EasyPresets (1623509627)
+ FastDraw (35640)
+ FixAddresses (35640)
+ HouseNumberTaggingTool (35814)
+ ImproveOsm (211)
+ ImproveWay (32)
+ MakeParallel (v1.1.0)
+ Mapillary (2.0.0-alpha.36-dirty)
+ OpeningHoursEditor (35640)
+ PicLayer (1.0.1)
+ PolygonCutOut (v0.7)
+ RelationDissolve (0.2.0)
+ alignways (35753)
+ apache-commons (35524)
+ apache-http (35589)
+ auto_tools (81)
+ buildings_tools (35756)
+ changeset-viewer (25)
+ comfort0 (35640)
+ conflation (0.6.6)
+ continuosDownload (99)
+ contourmerge (v0.1.8)
+ editgpx (35562)
+ ext_tools (35640)
+ graphview (35640)
+ gridify (1606242219)
+ http2 (35427)
+ jna (35662)
+ jts (35458)
+ junctionchecking (35640)
+ merge-overlap (35640)
+ photoadjust (35770)
+ rasterfilters (35774)
+ reltoolbox (35640)
+ reverter (35732)
+ russia-address-helper (0.5.1)
+ terracer (35640)
+ turnrestrictions (35640)
+ undelete (35640)
+ utilsplugin2 (35792)
+ waydownloader (35640)
+ wikipedia (1.1.4)

Tagging presets:
+ https://raw.githubusercontent.com/ruosm-presets/literan-moscow/master/russian_shops.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/StreetCabinet&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Quick-highways&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Quick-stops&zip=1
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/RU.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ <josm.userdata>/EasyPresets.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/BuildingPreset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/WifiHotspots&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Manholes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/MappingAccessibility&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Maxspeed-zones&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/FixmeAndNote&zip=1
+ ${HOME}/JOSM/presets/style-power-voltage-color.mapcss
- ${HOME}/JOSM/presets/style-power-tower-solid/power-tower-solid.mapcss
+ https://raw.githubusercontent.com/species/josm-preset-traffic_sign_direction/master/direction.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Power&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PowerMapping&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/iD&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- https://raw.githubusercontent.com/yopaseopor/indoormap/master/indoormap-style.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NewParkingFeatures&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&zip=1

Validator rules:
+ https://josm.openstreetmap.de/josmfile?page=Rules/KeepRight&zip=1
+ https://raw.githubusercontent.com/zetx16/Josm-HnumbValidator/master/ru-housenumber.validator.mapcss

Last errors/warnings:
- 00610.513 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.514 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.515 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.516 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.516 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.516 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.517 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.517 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.518 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out
- 00610.519 W: java.io.IOException: Operation timed out. Причина: java.io.IOException: Operation timed out

Attachments (0)

Change History (22)

comment:1 by gaben, 2 years ago

It works for me. I think there was some wiki server outage when you tried using that function. Could you please try again and see if it works now?

comment:2 by TrickyFoxy, 2 years ago

This problem is at least a month old.
Doesn't work even if you change the locale.

Settings for the Russian locale:
Wikipedia language: ru
Sophox server: https://sophox.org/bigdata/namespace/wdq/sparql

For English:
Wikipedia language: en
Sophox server: https://sophox.org/bigdata/namespace/wdq/sparql

There seems to be a problem with links for Russian articles, so for links to the English wikipedia everything works: e.g. https://www.openstreetmap.org/node/107775

comment:3 by gaben, 2 years ago

I changed JOSM locale to Russian and downloaded ​https://www.openstreetmap.org/node/336140320 as in the original report. Both Wikidata and Wikipedia open as expected, using r18225. Maybe you can try it with the official builds.

comment:4 by TrickyFoxy, 2 years ago

Maybe you can try it with the official builds.

I use the github version. JOSM somehow thinks it is a local build.
https://github.com/JOSM/josm/releases/download/18224/JOSM-macOS-java17-ea-18224.zip

comment:5 by TrickyFoxy, 2 years ago

I tried using the jar version with java 16, 17. everything is the same, no errors in the console :

2021-09-20 16:59:03.414 INFO: Opening URL: https://www.wikidata.org/wiki/Q4164746
2021-09-20 16:59:08.346 INFO: Opening URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)

I also changed the default browser to Safari, but that didn't help either.

upd: corrected, a message that was accidentally translated.

Last edited 2 years ago by TrickyFoxy (previous) (diff)

comment:6 by skyper, 2 years ago

Is this a problem with a plugin (wikipedia) ?

comment:7 by TrickyFoxy, 2 years ago

No, I disabled wikipedia plugin and the context menu item remained.

comment:8 by skyper, 2 years ago

Component: CoreCore tag2link
Keywords: wikipedia macOS added

So, we cannot reproduce on Linux. Might be macOS related.

comment:9 by gaben, 2 years ago

Looking at the source code is more likely a macOS related thing.

josm/trunk/src/org/openstreetmap/josm/tools/OpenBrowser.java#L45

comment:10 by TrickyFoxy, 20 months ago

A similar function is available in the wikipedia plugin (https://i.imgur.com/KLrOpK7.png Open Article Button) It works on macOS. What if you use the way to open a link from that plugin's code?

in reply to:  10 comment:11 by taylor.smock, 20 months ago

Replying to TrickyFoxy:

A similar function is available in the wikipedia plugin (https://i.imgur.com/KLrOpK7.png Open Article Button) It works on macOS. What if you use the way to open a link from that plugin's code?

It actually uses the OpenBrowser code, which is what is used for all the tag2link actions.

Anyway, I tried reproducing on Mac OS X 12.4 using the russian locale, and I was unable to reproduce.

2022-07-14 07:11:17.906 INFO: Открытие URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)
2022-07-14 07:11:25.836 INFO: GET https://wiki.openstreetmap.org/w/api.php?action=query&format=xml&titles=RU%3ATag%3Awikipedia%3Dru%3A%D0%94%D0%BE%D0%BB%D0%B3%D0%BE%D1%80%D1%83%D0%BA%D0%BE%D0%B2%D0%BE+%28%D0%9B%D0%B8%D0%BF%D0%B5%D1%86%D0%BA%D0%B0%D1%8F+%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C%29%7CTag%3Awikipedia%3Dru%3A%D0%94%D0%BE%D0%BB%D0%B3%D0%BE%D1%80%D1%83%D0%BA%D0%BE%D0%B2%D0%BE+%28%D0%9B%D0%B8%D0%BF%D0%B5%D1%86%D0%BA%D0%B0%D1%8F+%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C%29%7CRU%3AKey%3Awikipedia%7CKey%3Awikipedia%7CRU%3AMap_Features%7CMap_Features -> HTTP/1.1 200 (545 мс; 322 B)
2022-07-14 07:11:26.142 INFO: Открытие URL: https://wiki.openstreetmap.org/wiki/RU:Key:wikipedia
2022-07-14 07:11:46.076 INFO: Открытие URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)

Both the wikipedia and wikidata tags work for me. I really don't know what the problem is, since I cannot reproduce.

comment:12 by TrickyFoxy, 20 months ago

The wikipedia plugin at least does url encode addresses

2022-07-14 17:39:19.040 INFO: Открытие URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)
2022-07-14 17:39:33.632 INFO: Открытие URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)
2022-07-14 17:39:41.137 INFO: Wikipedia: opening https://ru.wikipedia.org/wiki/%D0%94%D0%BE%D0%BB%D0%B3%D0%BE%D1%80%D1%83%D0%BA%D0%BE%D0%B2%D0%BE_%28%D0%9B%D0%B8%D0%BF%D0%B5%D1%86%D0%BA%D0%B0%D1%8F_%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C%29
2022-07-14 17:39:41.137 INFO: Открытие URL: https://ru.wikipedia.org/wiki/%D0%94%D0%BE%D0%BB%D0%B3%D0%BE%D1%80%D1%83%D0%BA%D0%BE%D0%B2%D0%BE_%28%D0%9B%D0%B8%D0%BF%D0%B5%D1%86%D0%BA%D0%B0%D1%8F_%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C%29

comment:13 by taylor.smock, 20 months ago

Can you try running JOSM with a clean profile? Something like the following should work:
java -jar -Djosm.home=/tmp/josm_home $PATH_TO_JOSM_JAR https://www.openstreetmap.org/node/336140320

comment:14 by TrickyFoxy, 20 months ago

It would be nice to set the language in which JOSM will be opened

➜  JOSM  java -jar -Djosm.home=/tmp/josm_home /Users/deevroman/Downloads/JOSM-macOS-java8-18516.jar https://www.openstreetmap.org/node/336140320
2022-07-14 18:22:10.785 INFO: Уровень журналирования: INFO (INFO, 800)
2022-07-14 18:22:10.820 INFO: Отсутствует файл настроек '/tmp/josm_home/preferences.xml'. Создание файла настроек по умолчанию.
2022-07-14 18:22:17.264 INFO: Reassigning macOS shortcut 'file:downloadreferrers' from Meta to Ctrl because of conflict with ⌘+⌥+D
2022-07-14 18:22:17.265 INFO: Автоустранён конфликт Горячих клавиш: 'file:downloadreferrers' переназначено с 'apple-reserved-42' на '⌃+⌥+D'.
2022-07-14 18:22:17.799 INFO: Reassigning macOS shortcut 'core:historyinfo' from Meta to Ctrl because of conflict with ⌘+H
2022-07-14 18:22:17.800 INFO: Автоустранён конфликт Горячих клавиш: 'core:historyinfo' переназначено с 'system:hide' на '⌃+H'.
2022-07-14 18:22:20.737 INFO: Reassigning macOS shortcut 'help:search-items' from Meta to Ctrl because of conflict with ⌘+␣
2022-07-14 18:22:20.738 INFO: Автоустранён конфликт Горячих клавиш: 'help:search-items' переназначено с 'apple-reserved-01' на '⌃+␣'.
2022-07-14 18:22:21.716 INFO: GET https://josm.openstreetmap.de/wiki/Ru:StartupPage -> HTTP/1.1 200 (900 мс)
2022-07-14 18:22:22.436 INFO: GET https://josm.openstreetmap.de/remote/geofabrik-index-v1-nogeom.json -> HTTP/1.1 200 (140 мс; 25,8 kB)
2022-07-14 18:22:22.911 INFO: Получено 82 правила Tag2Link из resource://META-INF/resources/webjars/tag2link/2021.3.21/index.json
2022-07-14 18:22:23.108 INFO: GET https://josm.openstreetmap.de/maps -> HTTP/1.1 200 (174 мс)
2022-07-14 18:22:23.418 INFO: GET https://api.openstreetmap.org/api/capabilities -> HTTP/1.1 200 (737 мс; 424 B)
2022-07-14 18:22:23.419 INFO: OK
2022-07-14 18:22:56.285 INFO: Changeset updater active (checks every 60 minutes if open changesets have been closed)
2022-07-14 18:22:56.286 INFO: Enabled EDT checker, wrongful access to gui from non EDT thread will be printed to console
2022-07-14 18:22:56.459 INFO: Keystroke meta pressed L is already assigned to org.openstreetmap.josm.actions.OpenLocationAction@12bcd0c0, will be overridden by org.openstreetmap.josm.actions.OpenLocationAction@1348d9e8
2022-07-14 18:22:56.461 INFO: Зарегистрированное действие на панели openlocation перезаписано: org.openstreetmap.josm.actions.OpenLocationAction получены org.openstreetmap.josm.actions.OpenLocationAction
2022-07-14 18:22:57.194 INFO: GET https://api.openstreetmap.org/api/0.6/nodes?nodes=336140320 -> HTTP/1.1 200 (673 мс)
2022-07-14 18:22:57.994 INFO: GET https://api.openstreetmap.org/api/0.6/node/336140320/ways -> HTTP/1.1 200 (705 мс)
2022-07-14 18:22:58.500 INFO: GET https://api.openstreetmap.org/api/0.6/node/336140320/relations -> HTTP/1.1 200 (495 мс)
2022-07-14 18:23:00.443 INFO: Reassigning macOS shortcut 'core_multikey:hidingFilter' from Meta to Ctrl because of conflict with ⌘+⌥+H
2022-07-14 18:23:00.443 INFO: Автоустранён конфликт Горячих клавиш: 'core_multikey:hidingFilter' переназначено с 'system:hideothers' на '⌃+⌥+H'.
2022-07-14 18:23:17.000 INFO: Открытие URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)

comment:15 by taylor.smock, 20 months ago

--language= will set the language code. I suspect --language=ru will work, like so:
java -jar -Djosm.home=/tmp/josm_home $PATH_TO_JOSM_JAR --language=ru https://www.openstreetmap.org/node/336140320

comment:16 by TrickyFoxy, 20 months ago

➜  JOSM  java -jar -Djosm.home=/tmp/josm_home /Users/deevroman/Downloads/JOSM-macOS-java8-18516.jar https://www.openstreetmap.org/node/336140320 --language=en_EN        
2022-07-14 18:27:39.644 INFO: Уровень журналирования: INFO (INFO, 800)
2022-07-14 18:27:44.883 INFO: Reassigning macOS shortcut 'file:downloadreferrers' from Meta to Ctrl because of conflict with ⌘+⌥+D
2022-07-14 18:27:44.898 INFO: Silent shortcut conflict: 'file:downloadreferrers' moved by 'apple-reserved-42' to '⌃+⌥+D'.
2022-07-14 18:27:45.428 INFO: Reassigning macOS shortcut 'core:historyinfo' from Meta to Ctrl because of conflict with ⌘+H
2022-07-14 18:27:45.429 INFO: Silent shortcut conflict: 'core:historyinfo' moved by 'system:hide' to '⌃+H'.
2022-07-14 18:27:48.425 INFO: Reassigning macOS shortcut 'help:search-items' from Meta to Ctrl because of conflict with ⌘+␣
2022-07-14 18:27:48.425 INFO: Silent shortcut conflict: 'help:search-items' moved by 'apple-reserved-01' to '⌃+␣'.
2022-07-14 18:27:49.733 INFO: Obtained 82 Tag2Link rules from resource://META-INF/resources/webjars/tag2link/2021.3.21/index.json
2022-07-14 18:28:03.237 INFO: Changeset updater active (checks every 60 minutes if open changesets have been closed)
2022-07-14 18:28:03.238 INFO: Enabled EDT checker, wrongful access to gui from non EDT thread will be printed to console
2022-07-14 18:28:03.413 INFO: Keystroke meta pressed L is already assigned to org.openstreetmap.josm.actions.OpenLocationAction@4b672daa, will be overridden by org.openstreetmap.josm.actions.OpenLocationAction@18afeda4
2022-07-14 18:28:03.418 INFO: Registered toolbar action openlocation overwritten: org.openstreetmap.josm.actions.OpenLocationAction gets org.openstreetmap.josm.actions.OpenLocationAction
2022-07-14 18:28:04.239 INFO: GET https://api.openstreetmap.org/api/0.6/nodes?nodes=336140320 -> HTTP/1.1 200 (716 ms)
2022-07-14 18:28:04.711 INFO: GET https://api.openstreetmap.org/api/0.6/node/336140320/ways -> HTTP/1.1 200 (383 ms)
2022-07-14 18:28:05.080 INFO: GET https://api.openstreetmap.org/api/0.6/node/336140320/relations -> HTTP/1.1 200 (362 ms)
2022-07-14 18:28:05.777 INFO: Reassigning macOS shortcut 'core_multikey:hidingFilter' from Meta to Ctrl because of conflict with ⌘+⌥+H
2022-07-14 18:28:05.777 INFO: Silent shortcut conflict: 'core_multikey:hidingFilter' moved by 'system:hideothers' to '⌃+⌥+H'.
2022-07-14 18:28:13.926 INFO: Opening URL: https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)

comment:17 by taylor.smock, 20 months ago

To be clear, is the OpenBrowser functionality working properly, or not?

comment:18 by TrickyFoxy, 20 months ago

Not work

Last edited 20 months ago by TrickyFoxy (previous) (diff)

comment:19 by TrickyFoxy, 20 months ago

Since I'm the only one who can reproduce it, I'll have to try and debug it myself. It seems that I need some classes from org.openstreetmap.josm.tools
There is a suspicion that perhaps some error message is not being logged, because the following code ends with an error

import java.awt.*;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;

public class Main {

    public static void main(String[] args) {
        try {
            Desktop.getDesktop().browse(new URI("https://ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область)"));
        } catch (IOException e) {
            throw new RuntimeException(e);
        } catch (URISyntaxException e) {
            throw new RuntimeException(e);
        }
        System.out.println("Hello world!");
    }
}
Exception in thread "main" java.lang.RuntimeException: Non-Java exception raised, not handled! (Original problem: *** -[__NSPlaceholderArray initWithObjects:count:]: attempt to insert nil object from objects[0])
	at java.desktop/sun.lwawt.macosx.CDesktopPeer._lsOpenURI(Native Method)
	at java.desktop/sun.lwawt.macosx.CDesktopPeer.lsOpen(CDesktopPeer.java:166)
	at java.desktop/sun.lwawt.macosx.CDesktopPeer.browse(CDesktopPeer.java:74)
	at java.desktop/java.awt.Desktop.browse(Desktop.java:526)
	at Main.main(Main.java:12)

in reply to:  19 comment:20 by taylor.smock, 20 months ago

Replying to TrickyFoxy:

Since I'm the only one who can reproduce it, I'll have to try and debug it myself. It seems that I need some classes from org.openstreetmap.josm.tools
There is a suspicion that perhaps some error message is not being logged, because the following code ends with an error

Good luck. I'd recommend setting a breakpoint at org/openstreetmap/josm/tools/OpenBrowser.java#L45, and running JOSM using Eclipse or IDEA.

comment:21 by TrickyFoxy, 20 months ago

I realized what the problem was.

displayUrl in my case goes into 41 lines https://josm.openstreetmap.de/browser/trunk/src/org/openstreetmap/josm/tools/OpenBrowser.java?#L41

So:

  1. https://josm.openstreetmap.de/browser/josm/trunk/src/org/openstreetmap/josm/tools/PlatformHookOsx.java#L221

The exec function does not throw an exception, but returns a result by which you can understand whether an error has occurred. In my case it is: https://i.imgur.com/hNQ0wwJ.png
In fact, the following happens:

bash-5.1$ open https://ru.wikipedia.org/wiki/Долгоруково_\(Липецкая_область\)
The file /Users/deevroman/JOSM/https:/ru.wikipedia.org/wiki/Долгоруково_(Липецкая_область) does not exist.
  1. In Mac OS Big Sur open command seems to incorrectly handle non-English characters. https://developer.apple.com/forums/thread/663762

And it turns out, either you need to encode the transmitted values in advance, or encode the exec argument specifically for mac OS Big Sur

comment:22 by taylor.smock, 20 months ago

Mac OS 13 (beta) was just released, and I anticipate it will be released late Fall/Winter.

Since Apple typically supports 3 releases, it may be worthwhile to work around it.
However, the current code worked in Catalina (10.15) and works in Monterey (12). The only one it doesn't work on is Bug Sur (11).

Looking at the Steam HWSurvey, 2-3% of Mac users are on MacOS 11. (The other source I would use cannot distinguish the newer systems, since their user agents will report 10.15 instead of 11 or 12).

I'm really not certain it is worth making logs unreadable for people who watch them.

Pretty much all machines that are restricted to MacOS Monterey (or earlier) are 6 years old or more. Catalina's restrictions are 7 years old or more. (Both of those statements have caveats -- I took the newest system supported).

I'll have to think about this. I'll probably work around it, I just don't know how yet.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from team to the specified user.
Next status will be 'needinfo'. The owner will be changed from team to TrickyFoxy.
as duplicate The resolution will be set to duplicate. Next status will be 'closed'. The specified ticket will be cross-referenced with this ticket.
The owner will be changed from team to anonymous. Next status will be 'assigned'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.